
Almirah.Deploy - Feature #6

Add GitHub repository for Almirah.Code project

01/16/2024 08:13 PM - Oleksandr Ivanov

Status: Closed Start date: 01/16/2024

Priority: Normal Due date: 01/19/2024

Assignee: Oleksandr Ivanov % Done: 100%

Category:  Estimated time: 2:00 hours

Target version: 0.0.3 Spent time: 0:15 hour

Description

The https://github.com/OleksandrIvanovDev/Almirah.Code repository content shall be added to the "Repository" menu of this

Redmine project.

History

#1 - 01/16/2024 08:28 PM - Oleksandr Ivanov

- Status changed from New to In Progress

#2 - 01/16/2024 08:29 PM - Oleksandr Ivanov

- % Done changed from 0 to 80

Repository was added following the 

https://www.redmine.org/projects/redmine/wiki/HowTo_Easily_integrate_a_(SSH_secured)_GIT_repository_into_redmine article (Rev 7).

Http Clone was used instead of SSH since the repository is public.

#3 - 01/16/2024 08:30 PM - Oleksandr Ivanov

The task will be closed as soon as any changes are made in the repository to check if the Linux cron is able to fetch the changes every 5 minutes.

#4 - 01/16/2024 08:31 PM - Oleksandr Ivanov

- Status changed from In Progress to Feedback

#5 - 01/22/2024 05:23 PM - Oleksandr Ivanov

- Status changed from Feedback to Resolved

- % Done changed from 80 to 100

The cron job gets sources from GitHub as expected

#6 - 01/22/2024 05:23 PM - Oleksandr Ivanov

- Status changed from Resolved to Closed

#7 - 06/23/2024 09:22 PM - Oleksandr Ivanov

- Project changed from Almirah.Code to Almirah.Deploy

- Subject changed from Add GitHub repository for this project to Add GitHub repository for Almirah.Code project
